// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdEIdentPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdEIdentPlugin", targets: ["WebIdEIdentPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-plugin-core-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "AusweisApp2",
            url: "https://github.com/Governikus/AusweisApp2-SDK-iOS",
            .exact("2.2.2")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdEIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdEIdentPlugin/20.0.0/WebIdEIdentPlugin.framework-v20.0.0-SNAPSHOT-553.zip",
            checksum: "3c21131a87ab7661d2f5fc9d2a08f00346cbc01aefe71766887481c1c1f64aa0"
        ),
        .target(
            name: "WebIdEIdentPluginWrapper",
            dependencies: [
                .target(name: "WebIdEIdentPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
                .product(name: "AusweisApp2", package: "AusweisApp2"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
